# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.31

# Delete rule output on recipe failure.
.DELETE_ON_ERROR:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /root/dynamips

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /root/dynamips/build

# Include any dependencies generated for this target.
include stable/CMakeFiles/rom2c.dir/depend.make
# Include any dependencies generated by the compiler for this target.
include stable/CMakeFiles/rom2c.dir/compiler_depend.make

# Include the progress variables for this target.
include stable/CMakeFiles/rom2c.dir/progress.make

# Include the compile flags for this target's objects.
include stable/CMakeFiles/rom2c.dir/flags.make

stable/CMakeFiles/rom2c.dir/codegen:
.PHONY : stable/CMakeFiles/rom2c.dir/codegen

stable/CMakeFiles/rom2c.dir/__/common/rom2c.c.o: stable/CMakeFiles/rom2c.dir/flags.make
stable/CMakeFiles/rom2c.dir/__/common/rom2c.c.o: /root/dynamips/common/rom2c.c
stable/CMakeFiles/rom2c.dir/__/common/rom2c.c.o: stable/CMakeFiles/rom2c.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/root/dynamips/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_1) "Building C object stable/CMakeFiles/rom2c.dir/__/common/rom2c.c.o"
	cd /root/dynamips/build/stable && /usr/bin/cc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -MD -MT stable/CMakeFiles/rom2c.dir/__/common/rom2c.c.o -MF CMakeFiles/rom2c.dir/__/common/rom2c.c.o.d -o CMakeFiles/rom2c.dir/__/common/rom2c.c.o -c /root/dynamips/common/rom2c.c

stable/CMakeFiles/rom2c.dir/__/common/rom2c.c.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing C source to CMakeFiles/rom2c.dir/__/common/rom2c.c.i"
	cd /root/dynamips/build/stable && /usr/bin/cc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -E /root/dynamips/common/rom2c.c > CMakeFiles/rom2c.dir/__/common/rom2c.c.i

stable/CMakeFiles/rom2c.dir/__/common/rom2c.c.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling C source to assembly CMakeFiles/rom2c.dir/__/common/rom2c.c.s"
	cd /root/dynamips/build/stable && /usr/bin/cc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -S /root/dynamips/common/rom2c.c -o CMakeFiles/rom2c.dir/__/common/rom2c.c.s

# Object files for target rom2c
rom2c_OBJECTS = \
"CMakeFiles/rom2c.dir/__/common/rom2c.c.o"

# External object files for target rom2c
rom2c_EXTERNAL_OBJECTS =

stable/rom2c: stable/CMakeFiles/rom2c.dir/__/common/rom2c.c.o
stable/rom2c: stable/CMakeFiles/rom2c.dir/build.make
stable/rom2c: stable/CMakeFiles/rom2c.dir/compiler_depend.ts
stable/rom2c: /usr/lib/x86_64-linux-gnu/libelf.so
stable/rom2c: stable/CMakeFiles/rom2c.dir/link.txt
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --bold --progress-dir=/root/dynamips/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_2) "Linking C executable rom2c"
	cd /root/dynamips/build/stable && $(CMAKE_COMMAND) -E cmake_link_script CMakeFiles/rom2c.dir/link.txt --verbose=$(VERBOSE)

# Rule to build all files generated by this target.
stable/CMakeFiles/rom2c.dir/build: stable/rom2c
.PHONY : stable/CMakeFiles/rom2c.dir/build

stable/CMakeFiles/rom2c.dir/clean:
	cd /root/dynamips/build/stable && $(CMAKE_COMMAND) -P CMakeFiles/rom2c.dir/cmake_clean.cmake
.PHONY : stable/CMakeFiles/rom2c.dir/clean

stable/CMakeFiles/rom2c.dir/depend:
	cd /root/dynamips/build && $(CMAKE_COMMAND) -E cmake_depends "Unix Makefiles" /root/dynamips /root/dynamips/stable /root/dynamips/build /root/dynamips/build/stable /root/dynamips/build/stable/CMakeFiles/rom2c.dir/DependInfo.cmake "--color=$(COLOR)"
.PHONY : stable/CMakeFiles/rom2c.dir/depend

